# Get Firewall Bound Resources - DescribeFirewallResource

## Overview

Get the public IP of the resource bound to the firewall group






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeFirewallResource`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **FWId** | string | Firewall ID |**Yes**|
| **Limit** | int | Return data length, default is 20, maximum 1000 |No|
| **Offset** | int | List start position offset, default is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ResourceSet** | array[[*ResourceSet*](#resourceset)] | Resource List, see ResourceSet |No|
| **TotalCount** | int | Total Number of Bound Resources |No|

#### Data Model


#### ResourceSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | int | Availability Zone |No|
| **SubResourceName** | string | The name of the virtual network card bound to the resource |**Yes**|
| **SubResourceId** | string | ID of the virtual network card bound to the resource |**Yes**|
| **SubResourceType** | string | The type of the virtual network card bound to the resource, 'uni', virtual network card. |**Yes**|
| **Name** | string | Name |No|
| **PrivateIP** | string | Private IP |No|
| **Remark** | string | Note |No|
| **ResourceID** | string | Resource ID bound to this firewall |No|
| **ResourceType** | string | Resource types for binding firewall groups. "unatgw", NAT Gateway; "uhost", Cloud Host; "upm", Physical Cloud Host; "hadoophost", Hadoop Node; "fortresshost", Bastion Host; "udhost", Private Zone Host; "udockhost", Container; "dbaudit", Database Audit; "uni", Virtual Network Interface. |No|
| **Status** | int | Status |No|
| **Tag** | string | Business Group |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeFirewallResource
&ProjectId=org-xxx
&Region=xxx
&FWId=fw-xxx
&Limit=20
&Offset=0
```

### Response Example
    
```json
{
  "Action": "DescribeFirewallResourceResponse",
  "ResourceSet": [
    {
      "Name": "hc_host",
      "PrivateIP": "10.23.XX.XX",
      "Remark": "",
      "ResourceID": "uhost-XXXXXX",
      "ResourceType": "uhost",
      "Status": 1,
      "Tag": "Default",
      "Zone": 8200
    }
  ],
  "RetCode": 0,
  "TotalCount": 6
}
```





